Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/10/2024 in all areas

  1. Another suggestion as you have lisp in LT 24 I would write the script calling a lisp file. You can load a lisp then call it (dxfspecial dwgname) Possible script (load "dxfspecial") (dxfspecial "Canopies and Boles") (load "dxfspecial") (dxfspecial "Canopies and Boles2") (load "dxfspecial") (dxfspecial "Canopies and Boles3")
    1 point
  2. Like Steven confirm, to many unknowns. For multiple dwg's in one go Plot what is in Model to PDF one sheet Mutiple objects in model plot individually How to select multi objects What sheet size and scales to be used Post at least an image showing a dwg.
    1 point
  3. Yep nentsel will find a pline in a block. Then can work out which segment, then in turn 90 angle and midpoint. (cadr (nentsel)) is pick point. (entget (car (nentsel))) Select entity: ((-1 . <Entity name: 62ba0840>) (0 . "LWPOLYLINE")
    1 point
  4. Help us here to help you, where are we starting from? Have you found online a suitable routine to create a PDF? There are plenty there and on this forum the question gets asked frequently. You might also look for something like sriptpro or Lee Macs script writer which should help creating a batch process. but first off where are we starting from with our help?
    1 point
  5. Hi, Here's a quicky (no error handling) (defun c:rect3d (/ p1 p2 p3) (setq p1 (trans (getpoint "\nFirst point: ") 1 0) p2 (trans (getpoint p1 "\nSecond point: ") 1 0) p3 (trans (getpoint p1 "\nThird point: ") 1 0) ) (command "_.ucs" "3" "_non" p1 "_non" p2 "_non" p3) (setq p1 (trans p1 0 1) p2 (trans p2 0 1) p3 (trans p3 0 1) p3 (list (max (car p2) (car p3)) (max (cadr p2) (cadr p3))) ) (command "_.rectangle" "_non" p1 "_non" p3) (command "_.ucs" "_previous") (princ) )
    1 point
×
×
  • Create New...